Subject: Re: humungus fungus
From: [email-masked]
Date: Wed, 13 Jul 94 16:32:08 EDT
Newsgroups: bionet.mycology

In article <[email-masked]>
[email-masked] (gabriel ross) writes:
 
>What can anyone tell me about this fungus that is growing in Wisconsin and
>is supposed to be the world's largest single organism?  I'd liek to take a
>road trip to go see it.
 
After eating Chicago, the Armillaria was last seen heading through Ohio towards
the East coast. The current location is a closely guarded secret. Maybe the
mushroom Mountain people are taming it at this very moment for a possible world
take over. :)